# This is a sample .gitlab-ci.yml file that runs a Python script and creates an artifact

# Define the image to use for the jobs
image: python:3.9  

# Define the stages for the pipeline
stages:
  - build

# Define the job for running the Python script  
run-script:
  # This job runs in the 'build' stage
  stage: build
  before_script:
    - curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
    - python get-pip.py
    - pip install --upgrade python-gitlab
  # Define a script to run
  script:
    - python export.py
  artifacts:
    paths:
      - issue_export.csv